# IRnPanelView Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | GetPanel ([out, retval] IRsLEPanel **pPanel)
HRESULT | SetAspect ([in] RtUlong aspect)
HRESULT | ControlUpdated (void)
HRESULT | UpdateControl (void)
HRESULT | OwnerFrameWindowID ([in] BSTR bszWinID)
## Properties
RtLong * | PanelType`[get]`
RtLong | PanelType`[set]`
RtLong * | ForceShowAspects`[get]`
RtLong | ForceShowAspects`[set]`

## Detailed Description

The IRnPanelView interface provides methods for panel view node.

## Member Function Documentation

HRESULT IRnPanelView::GetPanel | ( | [out, retval] IRsLEPanel ** | pPanel | ) |

Get LE panel.

Returns:
  pPanel [out, retval] Pointer to variable of type IRsLEPanel that retrieves LE panel.

HRESULT IRnPanelView::SetAspect | ( | [in] RtUlong | aspect | ) |

Set active aspect for LE panel.

Parameters:

  | aspect | [in] New active aspect.

HRESULT IRnPanelView::ControlUpdated | ( | void |  | ) |

Handle that control was updated.

HRESULT IRnPanelView::UpdateControl | ( | void |  | ) |

Update control.

HRESULT IRnPanelView::OwnerFrameWindowID | ( | [in] BSTR | bszWinID | ) |

Set owner frame window ID.

Parameters:

  | bszWinID | [in] String contains ID of owner frame window.

## Property Documentation

RtLong* IRnPanelView::PanelType`[get]`

Get LE panel type.

Returns:
  pVal [out, retval] Pointer to a variable of type RtLong that retrieves panel type.
  - List of possible values is same as RtPanelViewType.

RtLong IRnPanelView::PanelType`[set]`

Set LE panel type.

Parameters:

  | newVal | [in] New panel type. List of possible values is same as RtPanelViewType.

RtLong* IRnPanelView::ForceShowAspects`[get]`

Gets state of force show panel aspects.

Returns:
  pVal [out, retval] Pointer to variable retries state of force show panel aspect.
  - If value is equal to true, aspect is shown automatically.

RtLong IRnPanelView::ForceShowAspects`[set]`

Sets state of force show panel aspects.

Parameters:

  | newVal | [in] New state of force show aspect. If value is equal true, aspect is shown automatically.